Bug 1257202 - Oracle JDBC driver is not able to work with forwardable Kerberos ticket (TGT)
Oracle JDBC driver is not able to work with forwardable Kerberos ticket (TGT)
Status: CLOSED ERRATA
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: CR2
: 6.2.0
Assigned To: David Le Sage
Juraj Duráni
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-26 09:19 EDT by Juraj Duráni
Modified: 2015-09-29 19:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The Oracle JDBC driver does not accept a forwardable Kerberos ticket (TGT). If you try to use a TGT, you will encounter an exception. To work around this issue, disable Kerberos (set "forwardable = false" in the krb5.conf/krb5.ini file on both Linux and Windows). Note that this will work only for static kerberos authentication. Teiid's pass-through authentication will fail as it depends on forwardable tickets.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-29 19:41:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juraj Duráni 2015-08-26 09:19:16 EDT
Oracle JDBC driver does not accept forwardable TGT. It will throw an ClassCastException.
A workaround for this is to not use forwardable TGT (set "forwardable = false" in the krb5.conf/krb5.ini on Linux/Windows). However, this will work only for static kerberos authentication. Teiid's pass-through authentication will fail as it depends on forwardable tickets.
Comment 2 David Le Sage 2015-09-02 22:31:26 EDT
Release note created.

Note You need to log in before you can comment on or make changes to this bug.